# vitals.h File Reference

`#include <ubixos/ubthread.h>`
`#include <vfs/vfs.h>`

Include dependency graph for vitals.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | vitalsStruct

## Typedefs

typedef vitalsStruct | vitalsNode

## Functions

int | vitals_init ()

## Variables

vitalsNode * | systemVitals

## Typedef Documentation

typedef struct vitalsStruct vitalsNode

## Function Documentation

int vitals_init | ( |  | ) |

Definition at line 48 of file vitals.c.

References vitalsStruct::dQuantum, kmalloc(), kpanic(), kprintf(), memset(), vitalsStruct::quantum, and systemVitals.

Here is the call graph for this function:

## Variable Documentation

vitalsNode* systemVitals

Definition at line 35 of file timer.S.

Referenced by adjustCowCounter(), fclose(), fopen(), freePage(), keyboardHandler(), kmain(), ogPrintf(), sysGetTime(), sysGetUptime(), systemTask(), time_init(), ubthread_cond_timedwait(), vfs_addMount(), vfs_findMount(), vfs_init(), vfsFindFS(), vfsRegisterFS(), vitals_init(), vmmFindFreePage(), and vmmFreeProcessPages().